import './demo4.css';
import Overlay from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import { Button } from '../..';
const { Popup } = Overlay;
ReactDOM.render(React.createElement("div", null,
    React.createElement(Popup, { trigger: React.createElement(Button, null, "click"), triggerType: "click" },
        React.createElement("span", { className: "overlay-demo" }, "Click to open Popup!")),
    React.createElement(Popup, { trigger: React.createElement(Button, null, "hover"), triggerType: "hover" },
        React.createElement("span", { className: "overlay-demo" }, "Hover to open Popup!")),
    React.createElement(Popup, { trigger: React.createElement(Button, null, "focus"), triggerType: "focus" },
        React.createElement("span", { className: "overlay-demo" }, "Focus to open Popup!"))), document.getElementById('overlay-demo-4'));
